Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.external.javadoc.optionfile
Class BooleanJavadocOptionFileOption

    java.lang.Object
      org.gradle.external.javadoc.optionfile.AbstractJavadocOptionFileOption<java.lang.Boolean>
          org.gradle.external.javadoc.optionfile.BooleanJavadocOptionFileOption

All Implemented Interfaces:
  JavadocOptionFileOption<java.lang.Boolean>, OptionLessJavadocOptionFileOption<java.lang.Boolean>

    public class BooleanJavadocOptionFileOption

extends AbstractJavadocOptionFileOption<java.lang.Boolean>

Field Summary

Fields inherited from class org.gradle.external.javadoc.optionfile.AbstractJavadocOptionFileOption
`option, value`

Constructor Summary
`protected` | `BooleanJavadocOptionFileOption(java.lang.String option)`
`protected` | `BooleanJavadocOptionFileOption(java.lang.String option, java.lang.Boolean value)`

Method Summary
`void` | `write(JavadocOptionFileWriterContext writerContext)`

Methods inherited from class org.gradle.external.javadoc.optionfile.AbstractJavadocOptionFileOption
`getOption, getValue, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BooleanJavadocOptionFileOption

    protected BooleanJavadocOptionFileOption(java.lang.String option)

### BooleanJavadocOptionFileOption

    protected BooleanJavadocOptionFileOption(java.lang.String option,
                                             java.lang.Boolean value)

Method Detail

### write

    public void write(JavadocOptionFileWriterContext writerContext)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD